Bug 569665 - Review Request: perl-Color-Calc - Simple calculations with RGB colors
Summary: Review Request: perl-Color-Calc - Simple calculations with RGB colors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-02 00:06 UTC by Emmanuel Seyman
Modified: 2010-03-16 00:53 UTC (History)
2 users (show)

Fixed In Version: perl-Color-Calc-1.061-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 00:53:55 UTC
cweyl: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-03-02 00:06:53 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Color-Calc/perl-Color-Calc.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Color-Calc/perl-Color-Calc-1.061-1.fc12.src.rpm
Description:
The Color::Calc module implements simple calculations with RGB colors. This
can be used to create a full color scheme from a few colors.

Comment 1 Chris Weyl 2010-03-02 16:56:04 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2025648

Comment 2 Chris Weyl 2010-03-02 16:58:19 UTC
Please include the "LICENSE" file in %doc; aside from that, looks good as
usual :)

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2025648

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
0d3bf895e8eae757385317b624bb820e90471376 Color-Calc-1.061.tar.gz
0d3bf895e8eae757385317b624bb820e90471376 Color-Calc-1.061.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Color-Calc-1.061-1.fc13.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Color-Calc-1.061-1.fc13.noarch.rpm
perl(Color::Calc) = 1.061
perl-Color-Calc = 1.061-1.fc13
perl(Color::Calc::WWW) = 1.060
====> requires for perl-Color-Calc-1.061-1.fc13.noarch.rpm
perl(attributes)  
perl(Carp)  
perl(Exporter)  
perl(Graphics::ColorNames)  
perl(Graphics::ColorNames::HTML)  
perl(List::Util)  
perl(:MODULE_COMPAT_5.10.1)  
perl(Params::Validate)  
perl(POSIX)  
perl(Scalar::Util)  
perl(strict)  
perl(utf8)  
perl(warnings)  

=====> perl-Color-Calc-1.061-1.fc13.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Color-Calc-1.061-1.fc13.src.rpm
====> requires for perl-Color-Calc-1.061-1.fc13.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Graphics::ColorNames)  
perl(Graphics::ColorNames::WWW)  
perl(Params::Validate)  
perl(Test::More)  
perl(Test::NoWarnings)  
perl(Test::Pod)  

APPROVED

Comment 3 Emmanuel Seyman 2010-03-02 23:02:19 UTC
(In reply to comment #2)
>
> APPROVED

Many thanks, Chris. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Color-Calc
Short Description: Simple calculations with RGB colors
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2010-03-04 01:00:32 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-04 09:37:54 UTC
perl-Color-Calc-1.061-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Color-Calc-1.061-1.fc12

Comment 6 Fedora Update System 2010-03-06 03:39:48 UTC
perl-Color-Calc-1.061-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Color-Calc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Color-Calc-1.061-1.fc12

Comment 7 Fedora Update System 2010-03-16 00:53:50 UTC
perl-Color-Calc-1.061-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.